Name:           perl-Test-WWW-Mechanize
Version:        1.44
Release:        1%{?dist}
Summary:        Test::WWW::Mechanize Perl module
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-WWW-Mechanize/
Source0:        http://www.cpan.org/authors/id/P/PE/PETDANCE/Test-WWW-Mechanize-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008
BuildRequires:  perl(Carp::Assert::More)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(HTML::TreeBuilder)
BuildRequires:  perl(HTTP::Server::Simple) >= 0.42
BuildRequires:  perl(HTTP::Server::Simple::CGI)
BuildRequires:  perl(LWP) >= 6.02
BuildRequires:  perl(Test::Builder::Tester) >= 1.09
BuildRequires:  perl(Test::LongString) >= 0.15
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(URI::file)
BuildRequires:  perl(WWW::Mechanize) >= 1.68
Requires:       perl(Carp::Assert::More)
Requires:       perl(HTML::TreeBuilder)
Requires:       perl(HTTP::Server::Simple) >= 0.42
Requires:       perl(HTTP::Server::Simple::CGI)
Requires:       perl(LWP) >= 6.02
Requires:       perl(Test::Builder::Tester) >= 1.09
Requires:       perl(Test::LongString) >= 0.15
Requires:       perl(Test::More) >= 0.96
Requires:       perl(URI::file)
Requires:       perl(WWW::Mechanize) >= 1.68
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
my $mech = Test::WWW::Mechanize->new; $mech->get_ok( $page ); $mech-
>base_is( 'http://petdance.com/', 'Proper <BASE HREF>' ); $mech->title_is(
'Invoice Status', "Make sure we're on the invoice page" ); $mech-
>text_contains( 'Andy Lester', 'My name somewhere' ); $mech->content_like(
qr/(cpan|perl)\.org/, 'Link to perl.org or CPAN' );

%prep
%setup -q -n Test-WWW-Mechanize-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes META.json README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Jun 06 2016 Derek Maciel <dam402@nbcs.rutgers.edu> 1.44-1
- Specfile autogenerated by cpanspec 1.78.
